<?php
/**
* Naturally Admin Page Template
*/
?>

    <div class="naturally-admin-wrapper">
        <div class="container">
            <div class="page-heading">
                <h1 class="page-title"><?php _e( 'Naturally Addons', 'naturally' ); ?></h1>
                <p class="page-description">
                    <?php _e( 'Premium & Advanced Essential Elements for Elementor', 'naturally' ); ?>
                </p>
            </div>
            <form class="naturally-form" method="post">
                <div class="row widget-row">

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_list_shortcodes', 0 );
                            if ( isset( $_POST['disable_naturally_list_shortcodes'] ) ) {
                                update_option( 'disable_naturally_list_shortcodes', $_POST['disable_naturally_list_shortcodes'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_list_shortcodes" value="1">
                            <input type="checkbox" class="custom-control-input" id="disable_naturally_list_shortcodes" name="disable_naturally_list_shortcodes" value="0" <?php checked( 0, get_option( 'disable_naturally_list_shortcodes' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_list_shortcodes"><?php _e( 'List Shortcodes', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_onepage_menu', 0 );
                            if ( isset( $_POST['disable_naturally_onepage_menu'] ) ) {
                                update_option( 'disable_naturally_onepage_menu', $_POST['disable_naturally_onepage_menu'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_onepage_menu" value="1">
                            <input type="checkbox" class="custom-control-input" id="disable_naturally_onepage_menu" name="disable_naturally_onepage_menu" value="0" <?php checked( 0, get_option( 'disable_naturally_onepage_menu' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_onepage_menu"><?php _e( 'Onepage Menu', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_page_hero', 0 );
                            if ( isset( $_POST['disable_naturally_page_hero'] ) ) {
                                update_option( 'disable_naturally_page_hero', $_POST['disable_naturally_page_hero'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_page_hero" value="1">
                            <input type="checkbox" class="custom-control-input" id="disable_naturally_page_hero" name="disable_naturally_page_hero" value="0" <?php checked( 0, get_option( 'disable_naturally_page_hero' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_page_hero"><?php _e( 'Page Hero', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_home_slider', 0 );
                            if ( isset( $_POST['disable_naturally_home_slider'] ) ) {
                                update_option( 'disable_naturally_home_slider', $_POST['disable_naturally_home_slider'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_home_slider" value="1">
                            <input type="checkbox" class="custom-control-input" id="disable_naturally_home_slider" name="disable_naturally_home_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_home_slider' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_home_slider"><?php _e( 'Home Slider', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_home_hero', 0 );
	                        if ( isset( $_POST['disable_naturally_home_hero'] ) ) {
	                            update_option( 'disable_naturally_home_hero', $_POST['disable_naturally_home_hero'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_home_hero" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_home_hero" name="disable_naturally_home_hero" value="0" <?php checked( 0, get_option( 'disable_naturally_home_hero' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_home_hero"><?php _e( 'Home Hero 1', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_products_banner', 0 );
	                        if ( isset( $_POST['disable_naturally_products_banner'] ) ) {
	                            update_option( 'disable_naturally_products_banner', $_POST['disable_naturally_products_banner'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_products_banner" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_products_banner" name="disable_naturally_products_banner" value="0" <?php checked( 0, get_option( 'disable_naturally_products_banner' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_products_banner"><?php _e( 'Banner Box', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_gallery_banner', 0 );
	                        if ( isset( $_POST['disable_naturally_gallery_banner'] ) ) {
	                            update_option( 'disable_naturally_gallery_banner', $_POST['disable_naturally_gallery_banner'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_gallery_banner" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_gallery_banner" name="disable_naturally_gallery_banner" value="0" <?php checked( 0, get_option( 'disable_naturally_gallery_banner' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_gallery_banner"><?php _e( 'Banner Gallery', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_features', 0 );
	                        if ( isset( $_POST['disable_naturally_features'] ) ) {
	                            update_option( 'disable_naturally_features', $_POST['disable_naturally_features'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_features" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_features" name="disable_naturally_features" value="0" <?php checked( 0, get_option( 'disable_naturally_features' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_features"><?php _e( 'Features', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_testimonials', 0 );
	                        if ( isset( $_POST['disable_naturally_testimonials'] ) ) {
	                            update_option( 'disable_naturally_testimonials', $_POST['disable_naturally_testimonials'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_testimonials" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_testimonials" name="disable_naturally_testimonials" value="0" <?php checked( 0, get_option( 'disable_naturally_testimonials' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_testimonials"><?php _e( 'Testimonials', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_blog_slider', 0 );
	                        if ( isset( $_POST['disable_naturally_blog_slider'] ) ) {
	                            update_option( 'disable_naturally_blog_slider', $_POST['disable_naturally_blog_slider'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_blog_slider" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_blog_slider" name="disable_naturally_blog_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_blog_slider' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_blog_slider"><?php _e( 'Blog Slider', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_split_slider', 0 );
	                        if ( isset( $_POST['disable_naturally_split_slider'] ) ) {
	                            update_option( 'disable_naturally_split_slider', $_POST['disable_naturally_split_slider'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_split_slider" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_split_slider" name="disable_naturally_split_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_split_slider' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_split_slider"><?php _e( 'Split Slider', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_photo_slider', 0 );
	                        if ( isset( $_POST['disable_naturally_photo_slider'] ) ) {
	                            update_option( 'disable_naturally_photo_slider', $_POST['disable_naturally_photo_slider'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_photo_slider" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_photo_slider" name="disable_naturally_photo_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_photo_slider' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_photo_slider"><?php _e( 'Photo Slider', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_partners_slider', 0 );
	                        if ( isset( $_POST['disable_naturally_partners_slider'] ) ) {
	                            update_option( 'disable_naturally_partners_slider', $_POST['disable_naturally_partners_slider'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_partners_slider" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_partners_slider" name="disable_naturally_photo_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_partners_slider' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_partners_slider"><?php _e( 'Partner Slider', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_counterup', 0 );
	                        if ( isset( $_POST['disable_naturally_counterup'] ) ) {
	                            update_option( 'disable_naturally_counterup', $_POST['disable_naturally_counterup'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_counterup" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_counterup" name="disable_naturally_counterup" value="0" <?php checked( 0, get_option( 'disable_naturally_counterup' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_counterup"><?php _e( 'Counter Up', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_team_member', 0 );
	                        if ( isset( $_POST['disable_naturally_team_member'] ) ) {
	                            update_option( 'disable_naturally_team_member', $_POST['disable_naturally_team_member'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_team_member" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_team_member" name="disable_naturally_team_member" value="0" <?php checked( 0, get_option( 'disable_naturally_team_member' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_team_member"><?php _e( 'Team Box', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_gallery_grid', 0 );
	                        if ( isset( $_POST['disable_naturally_gallery_grid'] ) ) {
	                            update_option( 'disable_naturally_gallery_grid', $_POST['disable_naturally_gallery_grid'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_gallery_grid" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_gallery_grid" name="disable_naturally_gallery_grid" value="0" <?php checked( 0, get_option( 'disable_naturally_gallery_grid' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_gallery_grid"><?php _e( 'Gallery Grid', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_gallery_masonry', 0 );
	                        if ( isset( $_POST['disable_naturally_gallery_masonry'] ) ) {
	                            update_option( 'disable_naturally_gallery_masonry', $_POST['disable_naturally_gallery_masonry'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_gallery_masonry" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_gallery_masonry" name="disable_naturally_gallery_masonry" value="0" <?php checked( 0, get_option( 'disable_naturally_gallery_masonry' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_gallery_masonry"><?php _e( 'Gallery Masonry', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_breadcrumbs', 0 );
                            if ( isset( $_POST['disable_naturally_breadcrumbs'] ) ) {
                                update_option( 'disable_naturally_breadcrumbs', $_POST['disable_naturally_breadcrumbs'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_breadcrumbs" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_breadcrumbs" name="disable_naturally_breadcrumbs" value="0" <?php checked( 0, get_option( 'disable_naturally_breadcrumbs' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_breadcrumbs"><?php _e( 'Breadcrumbs', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_alert', 0 );
                            if ( isset( $_POST['disable_naturally_alert'] ) ) {
                                update_option( 'disable_naturally_alert', $_POST['disable_naturally_alert'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_alert" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_alert" name="disable_naturally_alert" value="0" <?php checked( 0, get_option( 'disable_naturally_alert' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_alert"><?php _e( 'Alert', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_badge_label', 0 );
                            if ( isset( $_POST['disable_naturally_badge_label'] ) ) {
                                update_option( 'disable_naturally_badge_label', $_POST['disable_naturally_badge_label'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_badge_label" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_badge_label" name="disable_naturally_badge_label" value="0" <?php checked( 0, get_option( 'disable_naturally_badge_label' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_badge_label"><?php _e( 'Badge and Label', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_blockquote', 0 );
                            if ( isset( $_POST['disable_naturally_blockquote'] ) ) {
                                update_option( 'disable_naturally_blockquote', $_POST['disable_naturally_blockquote'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_blockquote" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_blockquote" name="disable_naturally_blockquote" value="0" <?php checked( 0, get_option( 'disable_naturally_blockquote' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_blockquote"><?php _e( 'Blockquote', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_accordion_tabs', 0 );
	                        if ( isset( $_POST['disable_naturally_accordion_tabs'] ) ) {
	                            update_option( 'disable_naturally_accordion_tabs', $_POST['disable_naturally_accordion_tabs'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_accordion_tabs" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_accordion_tabs" name="disable_naturally_accordion_tabs" value="0" <?php checked( 0, get_option( 'disable_naturally_accordion_tabs' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_accordion_tabs"><?php _e( 'Accordion Tabs', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
	                    <div class="widget-toggle">
	                        <?php
	                        add_option( 'disable_naturally_tabs', 0 );
	                        if ( isset( $_POST['disable_naturally_tabs'] ) ) {
	                            update_option( 'disable_naturally_tabs', $_POST['disable_naturally_tabs'] );
	                        }
	                        ?>
	                        <div class="custom-control custom-switch">
	                            <input type="hidden" name="disable_naturally_tabs" value="1">
	                            <input type="checkbox" class="custom-control-input" id="disable_naturally_tabs" name="disable_naturally_tabs" value="0" <?php checked( 0, get_option( 'disable_naturally_tabs' ), true ); ?>>
	                            <label class="custom-control-label" for="disable_naturally_tabs"><?php _e( 'Tabs', 'naturally' ); ?></label>
	                        </div>
	                    </div>
	                </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_button', 0 );
                            if ( isset( $_POST['disable_naturally_button'] ) ) {
                                update_option( 'disable_naturally_button', $_POST['disable_naturally_button'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_button" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_button" name="disable_naturally_button" value="0" <?php checked( 0, get_option( 'disable_naturally_button' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_button"><?php _e( 'Button', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_social_icons', 0 );
                            if ( isset( $_POST['disable_naturally_social_icons'] ) ) {
                                update_option( 'disable_naturally_social_icons', $_POST['disable_naturally_social_icons'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_social_icons" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_social_icons" name="disable_naturally_social_icons" value="0" <?php checked( 0, get_option( 'disable_naturally_social_icons' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_social_icons"><?php _e( 'Social Icons', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_header_search', 0 );
                            if ( isset( $_POST['disable_naturally_header_search'] ) ) {
                                update_option( 'disable_naturally_header_search', $_POST['disable_naturally_header_search'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_header_search" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_header_search" name="disable_naturally_header_search" value="0" <?php checked( 0, get_option( 'disable_naturally_header_search' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_header_search"><?php _e( 'Header Search', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_header_langs', 0 );
                            if ( isset( $_POST['disable_naturally_header_langs'] ) ) {
                                update_option( 'disable_naturally_header_langs', $_POST['disable_naturally_header_langs'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_header_langs" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_header_langs" name="disable_naturally_header_langs" value="0" <?php checked( 0, get_option( 'disable_naturally_header_langs' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_header_langs"><?php _e( 'Header Langs', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_contact_form7', 0 );
                            if ( isset( $_POST['disable_naturally_contact_form7'] ) ) {
                                update_option( 'disable_naturally_contact_form7', $_POST['disable_naturally_contact_form7'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_contact_form7" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_contact_form7" name="disable_naturally_contact_form7" value="0" <?php checked( 0, get_option( 'disable_naturally_contact_form7' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_contact_form7"><?php _e( 'Contact Form 7', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_woo', 0 );
                            if ( isset( $_POST['disable_naturally_woo'] ) ) {
                                update_option( 'disable_naturally_woo', $_POST['disable_naturally_woo'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_woo" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_woo" name="disable_naturally_woo" value="0" <?php checked( 0, get_option( 'disable_naturally_woo' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_woo"><?php _e( 'WooCommerce Widgets', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="widget-toggle">
                            <?php
                            add_option( 'disable_naturally_rev_slider', 0 );
                            if ( isset( $_POST['disable_naturally_rev_slider'] ) ) {
                                update_option( 'disable_naturally_rev_slider', $_POST['disable_naturally_rev_slider'] );
                            }
                            ?>
                            <div class="custom-control custom-switch">
                                <input type="hidden" name="disable_naturally_rev_slider" value="1">
                                <input type="checkbox" class="custom-control-input" id="disable_naturally_rev_slider" name="disable_naturally_rev_slider" value="0" <?php checked( 0, get_option( 'disable_naturally_rev_slider' ), true ); ?>>
                                <label class="custom-control-label" for="disable_naturally_rev_slider"><?php _e( 'RevSlider', 'naturally' ); ?></label>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="page-actions">
                    <div class="row">
                        <div class="col-sm-12 submit-container">
                            <?php wp_nonce_field( 'naturally_admin_nonce_field' ); ?>
                            <button type="submit" class="btn btn-primary"><?php _e( 'Save Settings', 'naturally' ); ?></button>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
