<?php



namespace Elementor;



if ( ! defined( 'ABSPATH' ) ) exit; // If this file is called directly, abort.



class Naturally_Breadcrumbs_Widget extends Widget_Base {

    use Naturally_Helper;

    public function get_name() {

        return 'naturally-breadcrumbs';

    }

    public function get_title() {

        return 'Breadcrumbs (N)';

    }

    public function get_icon() {

        return 'eicon-shortcode';

    }

    public function get_categories() {

        return [ 'naturally' ];



    }



    // Registering Controls

    protected function _register_controls() {

        $this->start_controls_section('naturally_breadcrumbs_settings',

            [

                'label' => esc_html__( 'Breadcrumbs', 'naturally' ),

                'tab' => Controls_Manager::TAB_CONTENT,

            ]

        );

        $this->add_group_control(

            Group_Control_Typography::get_type(),

            [

                'name' => 'bread_typo',

                'label' => esc_html__( 'Typography', 'naturally' ),

                'scheme' => Scheme_Typography::TYPOGRAPHY_1,

                'selector' => '{{WRAPPER}} .breadcrumb,{{WRAPPER}} .breadcrumb_link_icon'

            ]

        );

        $this->add_control( 'color',

            [

                'label' => esc_html__( 'Link Color', 'naturally' ),

                'type' => Controls_Manager::COLOR,

                'default' => '',

                'selectors' => ['{{WRAPPER}} .breadcrumb_link' => 'color: {{VALUE}};']

            ]

        );

        $this->add_control( 'active_color',

            [

                'label' => esc_html__( 'Active Item Color', 'naturally' ),

                'type' => Controls_Manager::COLOR,

                'default' => '',

                'selectors' => ['{{WRAPPER}} .breadcrumb_active' => 'color: {{VALUE}};']

            ]

        );

        $this->add_control( 'icon_color',

            [

                'label' => esc_html__( 'Arrow Color', 'naturally' ),

                'type' => Controls_Manager::COLOR,

                'default' => '',

                'selectors' => ['{{WRAPPER}} .breadcrumb_link_icon' => 'color: {{VALUE}};']

            ]

        );

        $this->add_responsive_control( 'bread_alignment',

            [

                'label' => esc_html__( 'Alignment', 'naturally' ),

                'type' => Controls_Manager::CHOOSE,

                'selectors' => ['{{WRAPPER}} .breadcrumbs_wrapper' => 'text-align: {{VALUE}};'],

                'options' => [

                    'left' => [

                        'title' => esc_html__( 'Left', 'naturally' ),

                        'icon' => 'fa fa-align-left'

                    ],

                    'center' => [

                        'title' => esc_html__( 'Center', 'naturally' ),

                        'icon' => 'fa fa-align-center'

                    ],

                    'right' => [

                        'title' => esc_html__( 'Right', 'naturally' ),

                        'icon' => 'fa fa-align-right'

                    ]

                ],

                'toggle' => true,

                'default' => ''

            ]

        );

        $this->add_responsive_control( 'bread_margin',

            [

                'label' => esc_html__( 'Margin', 'naturally' ),

                'type' => Controls_Manager::DIMENSIONS,

                'size_units' => [ 'px' ],

                'selectors' => ['{{WRAPPER}} .breadcrumb' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'],

                'default' => [

                    'top' => '',

                    'right' => '',

                    'bottom' => '',

                    'left' => '',

                ],

                'separator' => 'before'

            ]

        );

        $this->end_controls_section();

    }



    protected function render() {

        $settings = $this->get_settings_for_display();

        

        echo '<div class="breadcrumbs_wrapper">';

            naturally_breadcrumbs();

        echo '</div>';

    }

}

